
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_RANDOM_DISTRIBUTION_STATISTICS_H
#define PG_RANDOM_DISTRIBUTION_STATISTICS_H

#include "base/AggrStat.h"

// some distributions do not have a known mean/dev or we do not know how to
// calculate them; this function samples a given [arbitrary] distribution.

// note1: this function is slow.

// note2: AggrStat operates on integers, RndDistr::trial() returns doubles;
// if needed, use scale parameter, but do not forget to sacle back!

extern AggrStat RndDistrStat(RndDistr *d, double scale = 1, int sampleSize = 10000);

#endif
