
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PGL_STATS_SAMPLE_SYMBOL_H
#define PGL_STATS_SAMPLE_SYMBOL_H

#include "String.h"
#include "PglRecSym.h"

class StatsSampleCfg;

// describes properties of a single stats sample
class StatsSampleSym: public RecSym {
	public:
		StatsSampleSym();
		StatsSampleSym(const String &aType, PglRec *aRec);

		virtual bool isA(const String &type) const;
		virtual SynSym *clone(const String &type) const;

		String name() const;
		Time start() const;
		bool capacity(int &cap) const;
};

#endif
