
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "polygraph.h"

#include "Socket.h"
#include "EphPortMgr.h"


EphPortMgr::EphPortMgr(const NetAddr &anAddr): PortMgr(anAddr) {
	theAddr.port(0);
}

int EphPortMgr::allocPort(Socket &s) {
	if (s.bind(theAddr))
		return s.lport();
	return -1;
}

void EphPortMgr::freePort(int, bool) {
}
